using System;

namespace Smdn.Protocols.Imap4 {
  public class ImapServerInfo {
    public ImapUri Uri {
      get { return uri; }
    }

    public ImapCapability Capabilities {
      get { return capabilities; }
      internal set { capabilities = value; }
    }

    public ImapNamespace Namespace {
      get { return @namespace; }
      internal set { @namespace = value; }
    }

    internal ImapServerInfo(ImapUri uri)
    {
      this.uri = uri;
    }

    public override string ToString()
    {
      return string.Format("{{Uri={0}, Capabilities={1}, Namespace={2}}}",
                           uri,
                           capabilities,
                           @namespace);
    }

    private ImapUri uri;
    private ImapCapability capabilities = new ImapCapability();
    private ImapNamespace @namespace = new ImapNamespace();
  }
}
