using System;

namespace Smdn.Protocols.Pop3 {
  public class PopUniqueIdList {
    public int MessageNumber {
      get { return messageNumber; }
    }

    public string Uid {
      get { return uid; }
    }

    internal PopUniqueIdList(int messageNumber, string uid)
    {
      this.messageNumber = messageNumber;
      this.uid = uid;
    }

    public override string ToString()
    {
      return string.Format("{{MessageNumber={0}, Uid={1}}}", messageNumber, uid);
    }

    private readonly int messageNumber;
    private readonly string uid;
  }
}
