using System;

namespace Smdn.Protocols.Imap4 {
  // StringTypes:
  //   ImapString
  //     => handles 'string'
  //     ImapQuotedString
  //       => handles 'quoted'
  //     ImapLiteralString
  //       => handles 'literal'
  //     ImapStringList
  //       => list of ImapString
  //       ImapParenthesizedString
  //         => handles 'parenthesized list'

  public class ImapQuotedString : ImapString {
    public ImapQuotedString(string val)
      : base(val)
    {
    }

    public override string ToString()
    {
      return string.Format("\"{0}\"", base.Value);
    }
  }
}
