using System;

namespace Smdn.Protocols.Imap4 {
  // 2.3.2. Flags Message Attribute
  [Flags()]
  public enum ImapSystemFlags : int
  {
    None        = 0x00000000,

    // RFC 3501
    AllowedCreateKeywords = 0x00000001, // '\*'

    Seen        = 0x00000002,
    Answered    = 0x00000004,
    Flagged     = 0x00000008,
    Deleted     = 0x00000010,
    Draft       = 0x00000020,
    Recent      = 0x00000040,
  }
}
