using System;
using System.Collections.Generic;

namespace Smdn.Protocols.Imap4.Transaction {
  public class ImapStartTlsRequest : ImapRequest {
    public ImapCreateAuthenticatedStreamCallback CreateAuthenticatedStreamCallback {
      get { return createAuthenticatedStreamCallback; }
    }

    internal ImapStartTlsRequest(ImapCreateAuthenticatedStreamCallback createAuthenticatedStreamCallback, int timeout)
      : base(ImapTransactionMethod.StartTls, timeout)
    {
      this.createAuthenticatedStreamCallback = createAuthenticatedStreamCallback;
    }

    private readonly ImapCreateAuthenticatedStreamCallback createAuthenticatedStreamCallback;
  }
}
